package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class VariableUnitsDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(VariableUnitsDTO.class);
        VariableUnitsDTO variableUnitsDTO1 = new VariableUnitsDTO();
        variableUnitsDTO1.setId(1L);
        VariableUnitsDTO variableUnitsDTO2 = new VariableUnitsDTO();
        assertThat(variableUnitsDTO1).isNotEqualTo(variableUnitsDTO2);
        variableUnitsDTO2.setId(variableUnitsDTO1.getId());
        assertThat(variableUnitsDTO1).isEqualTo(variableUnitsDTO2);
        variableUnitsDTO2.setId(2L);
        assertThat(variableUnitsDTO1).isNotEqualTo(variableUnitsDTO2);
        variableUnitsDTO1.setId(null);
        assertThat(variableUnitsDTO1).isNotEqualTo(variableUnitsDTO2);
    }
}
